SoGLCacheList Class Reference
Cache Classes

The SoGLCacheList class is used to store and manage OpenGL caches. More...

`#include <Inventor/caches/SoGLCacheList.h>`

## Public Member Functions

| SoGLCacheList (int numcaches=2)
| ~SoGLCacheList ()
SbBool | call (SoGLRenderAction *action)
void | open (SoGLRenderAction *action, SbBool autocache=TRUE)
void | close (SoGLRenderAction *action)
void | invalidateAll (void)

## Detailed Description

The SoGLCacheList class is used to store and manage OpenGL caches.

## Constructor & Destructor Documentation

## SoGLCacheList()

SoGLCacheList::SoGLCacheList | ( | int | numcaches = 2 | ) |

Constructor.

## ~SoGLCacheList()

SoGLCacheList::~SoGLCacheList | ( |  | ) |

Destructor. Frees remaining caches.

## Member Function Documentation

## call()

SbBool SoGLCacheList::call | ( | SoGLRenderAction * | action | ) |

Test for valid cache and execute. Returns TRUE if a valid cache could be found, FALSE otherwise. Note that when a valid cache is found, it is executed before returning from this method.

## open()

void SoGLCacheList::open | ( | SoGLRenderAction * | action,
|  | SbBool | autocache = TRUE )

Start recording a new cache. Remember to call close() when you've finished recording the cache.

See also
  close()

## close()

void SoGLCacheList::close | ( | SoGLRenderAction * | action | ) |

Finish recording the currently open cache.

See also
  open()

## invalidateAll()

void SoGLCacheList::invalidateAll | ( | void |  | ) |

Invalidate all caches in this instance. Should be called from the notify() method of nodes doing caching.

The documentation for this class was generated from the following files:

- SoGLCacheList.h
- SoGLCacheList.cpp